- Qt 6.4
- Qt Wayland Compositor
- C++ Classes
- QWaylandIdleInhibitManagerV1
- Qt Wayland Compositor | Commercial or GPLv3

# QWaylandIdleInhibitManagerV1 Class

Provides an extension that allows to inhibit the idle behavior of the compositor. More...

Header: | #include <QWaylandIdleInhibitManagerV1>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Waylandcompositor) target_link_libraries(mytarget PRIVATE Qt6::Waylandcompositor)
qmake: | QT += waylandcompositor
Since: | Qt 5.14
Instantiated By: | IdleInhibitManagerV1
Inherits: | QWaylandCompositorExtensionTemplate

- List of all members, including inherited members

## Public Functions

| QWaylandIdleInhibitManagerV1(QWaylandCompositor *compositor)
| QWaylandIdleInhibitManagerV1()
virtual | ~QWaylandIdleInhibitManagerV1()

## Reimplemented Public Functions

virtual void | initialize() override

## Static Public Members

const struct wl_interface * | interface()

## Detailed Description

The QWaylandIdleInhibitV1 extension provides a way for a client to inhibit the idle behavior of the compositor when a specific surface is visually relevant to the user.

QWaylandIdleInhibitManagerV1 corresponds to the Wayland interface, `zwp_idle_inhibit_manager_v1`.

Inhibited surfaces have the QWaylandSurface::inhibitsIdle property set to `true`.

See also QWaylandSurface::inhibitsIdle.

## Member Function Documentation

### QWaylandIdleInhibitManagerV1::QWaylandIdleInhibitManagerV1(QWaylandCompositor *compositor)

Constructs a QWaylandIdleInhibitManagerV1 object for the provided compositor.

### QWaylandIdleInhibitManagerV1::QWaylandIdleInhibitManagerV1()

Constructs a QWaylandIdleInhibitManagerV1 object.

### `[virtual]` QWaylandIdleInhibitManagerV1::~QWaylandIdleInhibitManagerV1()

Destructs a QWaylandIdleInhibitManagerV1 object.

### `[override virtual]` void QWaylandIdleInhibitManagerV1::initialize()

Reimplements: QWaylandCompositorExtension::initialize().

Initializes the extension.

### `[static]` const struct wl_interface *QWaylandIdleInhibitManagerV1::interface()

Returns the Wayland interface for the QWaylandIdleInhibitManagerV1.